package genesom;


public class WeightsPrintVisitor
  extends NodeVisitor
{

  public WeightsPrintVisitor() {}

  public void setCallback(Object o) {}

  public boolean at(Node curr_node)
  {
    double winit[] = ((Node)curr_node).getWeights();  // assumes weights reference

    for(int i = 0; i < winit.length; i++)
      System.out.print("" + winit[i] + " ");

    System.out.println();

    return true;
  }

}
